Subject: Re: source licenses

From: Dion <[email-masked]>
Date: Tue, 1 Oct 96 16:33:31 PDT

I appreciate your persistence.  Very much in the UNIX tradition. :-)

Comments below.

	From: Warren Toomey <[email-masked]>
	Subject: Re: source licenses
	To: Dion <[email-masked]>
	Date: Wed, 2 Oct 1996 09:13:58 +1000 (EST)
	Cc: Warren Toomey <[email-masked]>
	In-Reply-To:  <[email-masked]> from "Dion" at Sep 12, 96 12:47:31 pm
	
	In atricle by Dion:
	> 
	> Greetings, Warren,
	> 
	> This is the conclusion after considerable discussion here.
	> 
	> From a legal standpoint, for the kind of license you want, there
	> is still too much risk of exposure of parts of the UNIX source
	> code that, even after all these years, is still under trade
	> secret protection.  Bear in mind that if we reliquish trade 
	> secret protection for certain techniques and processes that
	> exist in the old version, it would also impact the claims
	> of protection in current product.
	> 
	> We might consider offering a binary license for old versions of
	> the UNIX System.  This would be accomplished by modifying the
	> form of the Digital license for the 0S/8.  We might be able to
	> offer something like that if you think it would help.
	> 
	> But source code looks like a no-go.
	
	Thanks for the email Dion, I guess a binary-only license would be
	better than nothing.  However, I had an idea last night.
	
	I assume SCO sells source licenses for SysVR4.2 (or whatever the
	current version is).  SCO must believe that the license protects
	their intellectual property in SysVR4.2.

That's right; we do.
	
	Take that license & replace `SysVR4.2 UNIX' with `5th, 6th & 7th
	Edition UNIX'.  Now, does this modified source license protect
	SCO's intellectual property which is in 5th, 6th & 7th Edition
	UNIX?  If so, then would SCO agree to sell this source license?

 Certainly.
	
	I assume that the price tag is not written into the SysVR4.2
	source license, and so changing the cost of a `5th, 6th & 7th
	Edition UNIX' source license would not be too much of a problem.

Right again.
	
	Can you let me know if there are any problems with this approach?

We are willing to sell you a source license, provided we make
enough money to cover the cost of writing up a license agreement,
getting signatures, etc.  Probably costs us a few hundred dollars
of legal and processing time.  Or maybe we would just consider that
a donation to the good of the UNIX culture.  

But the issue is that this license does not give you the right to
provide that source code to anyone else, which is what you want
to do.  In other words, you are not licensed to SUBLICENSE the
source. 

Now you could argue that we could and should provide this source
license directly to your various friends who want to get the 
source code.  OK, we might be able to do this (if volume were
not excessive) but there would have to be a license for each
one, which (as I recall) violated your desire to be able to
supply the source code easily and directly from your site.

Does this make sense?
-Dion
Dion L. Johnson II  - The Santa Cruz Operation, Inc.              [email-masked]
SCO Product Manager - Development Systems and Various Other Stuff
400 Encinal St.  Santa Cruz, CA 95061    FAX: 408-427-5417  Voice: 408-427-7565

---

From: Dion <[email-masked]>
Date: Fri, 18 Oct 96 8:18:52 PDT

There is no problem with providing YOU with a source license.
Nor is there any problem with providing a source license to EACH
of your friends who want that code, except for the administrative
expense of doing so.

The problem is that source code cannot be sublicensed.  That is,
once you have it, you are not allowed to provide it to anyone
else.   And this is what you want to do.

	From ns.pdev.sco.com!sco.sco.com!dolphin-20.cs.adfa.oz.au!cs.adfa.oz.au!wkt Tue Oct  1 16:22:34 1996
	Status: RO

	

	
	
	Thanks again!
	
		Warren

---

From: Dion <[email-masked]>
Date: Mon, 21 Oct 96 14:46:14 PDT

Earlier, you said you wanted to distribute this source.
The problem is back to where we started.  We dont want to
distribute/license this source because it is costly and
I want our licensing/sales people to be doing other things.
And our legal people say that you cant sublicense (distribute)
it.  So we can give YOU a license, but you cant give a license
to anyone else.  And we do not want to provide licenses to
all your friends.

   From dionj Thu Jun 27 07:59:48 1996
   From: [email-masked] (Dion)
   To: [email-masked]
   Subject: Re: Prehistoric UNIX licenses
   Cc: dionj
   Date: Thu, 27 Jun 96 7:59:48 PDT
   
   If you want it to be an official letter, it's a whole different ballgame.
   I will see what I can find out, but it will take a while.
   Thanks for your interest.
   
   	From: Warren Toomey <[email-masked]>
   	Subject: Re: Prehistoric UNIX licenses
   	To: Dion <[email-masked]>
   	Date: Thu, 27 Jun 1996 11:58:42 +1000 (EST)
   	Cc: Warren Toomey <[email-masked]>
   	
   	In atricle by Dion:
   	> 
   	> SCO owns the licensing rights all versions of the UNIX system, or
   	> so our legal folks tell me.  Now, of course there are many
   	> derivative, licensed versions, and some of the holders of those
   	> licenses have rights to sublicense.  In the case of BSD
   	> enhancements, the Berkeley additions are owned by the Regents of
   	> the University of California, and I believe the UCB license terms
   	> are well known.
   	> 
   	> As for your friends who have rescued ancient PDP machines...  I
   	> am confident that SCO would cheerfully encourage them to run UNIX
   	> on these antiques without any payment to us.  I cant quite
   	> officially give that permission myself, but I can speculate that
   	> SCO certainly would not mind.
   	> 
   	> So go for it.  Does this help?
   	> -Dion
   	
   	Dion, thanks very much for your email, in fact I'm ecstatic! I know this
   	could be a tricky legal minefield, so if possible could SCO draft a letter
   	(and run it past their lawyers) which sets out exactly what you said above.
   	
   	In particular, you said that ``SCO would cheerfully encourage them to run UNIX
   	on these antiques without any payment to us''. Does this mean I can legally
   	distribute the source code to the PDP versions of UNIX, and to anybody? or
   	just to people who own PDP-11s. There are PDP-11 emulators available, so
   	it is conceivable that people who don't even have a real PDP-11 might like
   	to try UNIX out on these emulators. If to anybody, then I assume this means
   	the source is legally owned by SCO but freely distributable?
   	
   	I really appreciate your offer of making these old versions of UNIX
   	available, but given the legal status of the code to this point, I would
   	like to cover myself with an officially blessed and signed document from SCO.
   	Let me know what you can do, and many many thanks again for this!
   	
   	Cheers,
   		Warren
   
our recent mail:
   	From ns.pdev.sco.com!sco.sco.com!dolphin-20.cs.adfa.oz.au!cs.adfa.oz.au!wkt Fri Oct 18 17:37:06 1996
   	From: Warren Toomey <[email-masked]>
   	Subject: Re: source licenses
   	To: Dion <[email-masked]>
   	Date: Sat, 19 Oct 1996 10:31:45 +1000 (EST)
   	In-Reply-To:  <[email-masked]> from "Dion" at Oct 18, 96 08:18:52 am
   	
   	> else.   And this is what you want to do.
   	
   	Argh! No, I don't want to provide it to anyone else, I just want anyone
   	else to be able to get it. Being able to obtain a source license from
   	SCO would be a perfect solution. Believe me, if SCO made source licenses
   	available, I'd be a completely happy person :-)
   	
   	Would SCO make a non-redistributable PDP-11 Unix source license available?
   	
   	Thanks!
   		Warren